Imports System.Windows
Imports System.Windows.Media
Imports Microsoft.Kinect
imports System.ComponentModel

''' <summary>
''' Interaction logic for MainWindow.xaml
''' </summary>
''' <remarks></remarks>
Class MainWindow
    Implements INotifyPropertyChanged

    Private _recordingFileName As String
    Private _mplayer As MediaPlayer
    Private _isPlaying As Boolean
    Private _isNoiseSuppressionOn As Boolean
    Private _isAutomaticGainOn As Boolean
    Private _isAECOn As Boolean

    Public Sub New()

        ' この呼び出しはデザイナーで必要です。
        InitializeComponent()

        ' InitializeComponent() 呼び出しの後で初期化を追加します。
        'TODO: implement
    End Sub

    Private Sub Play()
        'TODO: implement
    End Sub

    Private Sub Record()
        'TODO: implement
    End Sub

    Private Sub [Stop]()
        'TODO: implement
    End Sub

    Private Sub RecordKinectAudio()
        'TODO: implement
    End Sub

    Private Function CreateAudioSource() As KinectAudioSource
        'TODO: implement
    End Function

#Region "ユーザー操作"

    Private Sub button1_Click(sender As Object, e As RoutedEventArgs)
        'TODO: implement
    End Sub

    Private Sub button2_Click(sender As Object, e As RoutedEventArgs)
        'TODO: implement
    End Sub

    Private Sub button3_Click(sender As Object, e As RoutedEventArgs)
        'TODO: implement
    End Sub

#End Region

#Region "プロパティ"

    Public Event PropertyChanged(sender As Object, e As System.ComponentModel.PropertyChangedEventArgs) Implements System.ComponentModel.INotifyPropertyChanged.PropertyChanged

    Private Sub NotifyPropertyChanged(propertyName As String)
        'TODO: implement
    End Sub

#End Region

End Class
